<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".screens.belanja.DetailBelanjaActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginStart="0dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="5dp"
        android:layout_marginEnd="0dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="8dp"
        android:background="@color/white"
        android:padding="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginStart="@dimen/margin_30"
            android:layout_toEndOf="@id/img_kembali_belanja"
            android:gravity="center"
            android:orientation="vertical">

            <TextView
                android:id="@+id/text_title_detail_belanja"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/baloobhaijan"
                android:gravity="start"
                android:text="Detail Belanja"
                android:textSize="25sp"
                android:textColor="@color/colorPrimaryDark" />
        </LinearLayout>

        <ImageView
            android:id="@+id/img_kembali_belanja"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_alignParentStart="true"
            android:layout_marginStart="16dp"
            android:layout_marginTop="18dp"
            app:srcCompat="@drawable/backarrow" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@+id/layoutHeadline">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/layout_kategori_wrapper_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginEnd="@dimen/spacer_normal"
            android:layout_marginStart="@dimen/spacer_normal"
            android:layout_marginTop="@dimen/spacer_small"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/card"
                app:cardCornerRadius="8dp">

                <ImageView
                    android:id="@+id/imgDetailBelanja"
                    android:layout_width="wrap_content"
                    android:layout_height="180dp"
                    android:layout_gravity="center"
                    android:src="@drawable/produk_item"
                    android:scaleType="centerCrop" />

            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/textNamaDetailBelanja"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Nama Produk"
                    android:fontFamily="@font/baloobhai_medium"
                    android:textSize="20sp"
                    android:textColor="@color/colorPrimaryDark"
                    android:layout_marginTop="@dimen/spacer_normal"/>

                <TextView
                    android:id="@+id/textSisaQtyBelanja"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Sisa Stock"
                    android:fontFamily="@font/baloobhai_regular"
                    android:textSize="16sp"
                    android:textColor="@color/black_sub"/>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_marginTop="@dimen/spacer_normal"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <ImageButton
                        android:id="@+id/imgBtnKurangQty"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:src="@drawable/minus"
                        android:layout_gravity="center_horizontal|center_vertical"
                        android:background="@drawable/card"
                        android:contentDescription="@string/todo" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="70dp"
                        android:layout_height="match_parent"
                        android:textAlignment="center"
                        android:layout_marginStart="16dp"
                        android:layout_marginEnd="16dp"
                        android:enabled="false"
                        android:layout_gravity="center_horizontal|center_vertical"
                        app:hintAnimationEnabled="true"
                        app:boxCornerRadiusTopStart="15dp"
                        app:boxCornerRadiusTopEnd="15dp"
                        app:boxCornerRadiusBottomStart="15dp"
                        app:boxCornerRadiusBottomEnd="15dp"
                        app:endIconMode="clear_text"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_inputQtyDetail"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:fontFamily="@font/baloobhai_medium"
                            android:textAlignment="center"
                            android:textSize="16sp"
                            android:text="1"
                            android:textColor="@color/black_main"
                            android:inputType="text" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <ImageButton
                        android:id="@+id/imgBtnTambahQty"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:src="@drawable/plus_icon"
                        android:layout_gravity="center_vertical|center_horizontal"
                        android:background="@drawable/card"
                        android:contentDescription="@string/todo" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <TextView
                        android:id="@+id/textHargaDetailBelanja"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="Rp. 100.000"
                        android:fontFamily="@font/baloobhaijan"
                        android:textSize="24sp"
                        android:gravity="end|center_horizontal|center_vertical"
                        android:textColor="@color/black_main" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/spacer_normal"
                android:background="#E0E0E0"
                android:orientation="vertical" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="@dimen/spacer_normal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Deskripsi"
                    android:fontFamily="@font/baloobhai_medium"
                    android:textSize="20sp"
                    android:textColor="@color/colorPrimaryDark" />

                <TextView
                    android:id="@+id/textDeskripsiDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Budaya adalah suatu cara hidup yang berkembang, dan dimiliki bersama oleh sebuah kelompok orang, dan diwariskan dari generasi ke generasi. Budaya terbentuk dari banyak unsur yang rumit, termasuk sistem agama dan politik, adat istiadat, bahasa, perkakas, pakaian, bangunan, dan karya seni."
                    android:fontFamily="@font/baloobhai_regular"
                    android:textSize="16sp"
                    android:textColor="@color/black_sub" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="@dimen/spacer_normal"
                android:background="#E0E0E0"
                android:orientation="vertical" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="@dimen/spacer_normal"
                android:layout_marginBottom="90dp">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Keterangan"
                    android:fontFamily="@font/baloobhai_medium"
                    android:textSize="20sp"
                    android:textColor="@color/colorPrimaryDark" />

                <TextView
                    android:id="@+id/textKeteranganDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="100gr"
                    android:fontFamily="@font/baloobhai_regular"
                    android:textSize="16sp"
                    android:textColor="@color/black_sub" />

                <Button
                    android:id="@+id/btnCheckOutDetail"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginBottom="10dp"
                    android:text="Tambah Ke Keranjang"
                    android:layout_marginTop="@dimen/margin_35"
                    android:gravity="center_horizontal|center_vertical"
                    android:background="@drawable/button_save"
                    android:textColor="@color/white"
                    android:fontFamily="@font/baloobhai_medium"
                    android:textSize="14sp" />
            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    </RelativeLayout>

</LinearLayout>